# List FASP subscriptions

Lists all event subscriptions on the FASP server.

RBAC:
- requires ANY of Federation.Read, Federation.Manage

Endpoint: GET /api/v1/admin/fasp-remote/subscriptions
Version: 1.0
Security: header

## Response 200 fields (application/json):

  - `subscriptions` (array, required)
    List of subscriptions

  - `subscriptions.serverId` (string, required)
    Server ID on the FASP system

  - `subscriptions.serverDomain` (string, required)
    Domain of the server

  - `subscriptions.remoteId` (string, required)
    Remote subscription ID

  - `subscriptions.category` (string, required)
    Subscription category (content, account, group)

  - `subscriptions.subscriptionType` (string, required)
    Subscription type (lifecycle, trends)

  - `subscriptions.maxBatchSize` (integer,null)
    Maximum batch size for notifications

  - `subscriptions.threshold` (object,null)
    Threshold configuration

  - `subscriptions.threshold.timeframe` (integer,null)
    Timeframe in minutes

  - `subscriptions.threshold.shares` (integer,null)
    Share count threshold

  - `subscriptions.threshold.likes` (integer,null)
    Like count threshold

  - `subscriptions.threshold.replies` (integer,null)
    Reply count threshold


